YPWHICH(1)

NAME
ypwhich - which host is the YP server or map master?

SYNOPSIS
ypwhich [ -d [ domain ] [ -V1 | -V2 ] [ hostname ]
ypwhich [ -t mapname ] [ -d domain ] -m mname
ypwhich -x

DESCRIPTION
Ypwhich tells which YP server supplies yellow pages services to a YP client, or which is the master for a map. If invoked without arguments, it gives the YP server for the local machine. If hostname is specified, that machine is queried to find out which YP master it is using.

Refer to ypfiles(5) and ypserv(8) for an overview of the yellow pages.

OPTIONS

-d  Use domain instead of the default domain.

-V1 Which server is serving v.1 YP protocol-speaking client processes?

-V2 Which server is serving v.2 YP protocol client processes?

    If neither version is specified, ypwhich attempts attempts to locate the server that supplies the (current) v.2 services. If there is no v.2 server currently bound, ypwhich then attempts to locate the server supplying the v.1 services. Since YP servers and YP clients are both backward compatible, the user need seldom be concerned about which version is currently in use.

-t mapname
    Inhibit nickname translation; useful if there is a mapname identical to a nickname. This is not true of any standard map.

-m  Find the master YP server for a map. No hostname can be specified with -m. mname can be a mapname, or a nickname for a map.

-x  Display the map nickname table. This lists the nicknames the command knows of (mnames), and indicates the mapname associated with each nickname.

SEE ALSO
ypfiles(5), rpcinfo(8), ypserv(8), ypset(8)